# byf_jsbridge_apidoc

邦耀云系统，app，h5交互，文档仓库。

## 注意
1. 因为没有用一些插件构建工具，所以不要写es6 语法。
  * 不用箭头函数
  * 不用let、const
  * 函数定义的写法
    ``` javascript
      byf: {
        a: {
          // 兼容性好的函数写法：
          oneMethod: function(params){
            // 函数逻辑
          },
          // 兼容性差的函数写法：
          otherMethod(params){
            // 函数逻辑
          }
        }
      }
    ```
  * 函数形参默认值的写法
    ``` javascript
      // 有兼容性问题的写法
      function (params = {}){
        // 函数逻辑
      }
      // 兼容性好的写法
      function (params){
        if(!params) { params = {} };
        // 函数逻辑
      }
    ```
  * 不要省略对象的同名属性值
    ``` javascript
      var b = 'hello';
      // 兼容差
      var a = { b }
      // 兼容好
      var c = {b: b}
    ```
## 常用命令
### 1. 生成文档
> 命令和参数 apidoc -i \[js所在目录] -o \[生成文档的根目录]

> 例：apidoc -i ./src -o ./doc

### 2. npm发布及命令
- 手动修改package.json中的version字段，一般将原版本号最后一位 +1即可
- 运行npm发包命令
> 发包命令：npm publish


### 3. 修改线上文档

1. 前端使用地址   https://byf-web.bangyaosoft.cn/web/doc/byf-jsbridge/index.html
在http://git.hnbangyao.com/byf/byf-web-dist.git  dev分支  doc文件夹中更新，提交。  会自动发布到线上
2. 原生使用地址   http://172.16.0.32:8090/pages/editpage.action?pageId=19759295
编辑文档即可 本地doc中有个备份文件
